drop _all
clear
capture clear matrix
set mem 500m
set more off

*** Change these global macros 
	global inputoff = "D:\Oxford\KE Education\KE-WEB\Private Schools Paper\INPUT-OFFLINE"		// 	Folder where non-anonymous, non-public, raw data is stored	
	global input 	= "D:\Oxford\KE Education\KE-WEB\Private Schools Paper\INPUT"				// 	Folder where anonymized, (almost) raw data is stored for dissemination
	global output 	= "D:\Oxford\KE Education\KE-WEB\Private Schools Paper\OUTPUT"				//	Folder where all modified data files are saved

***	Begin with original, raw, KIHBS files converted from SPSS to STATA in StatTransfer
	use 	"$inputoff/Section B Household member Information.dta", clear												
	mmerge 	id_clust id_hh b_id using "$inputoff/Section C education.dta", unmatched(none)		
	mmerge 	id_clust id_hh 		using "$inputoff/Section A identification.dta", unmatched(none)	

	drop	_merge
	rename 	b04 sex
	rename 	b05a age
	rename 	c12 grade
	rename 	c19a fees


***	Keep primary pupils in private schools only
	gen 	enrol = c10 ==1
	gen 	public = c13==1|c13==5|c13==9
	keep if enrol==1 & grade>0 & grade<=8
	keep if public ==0
	keep if age!=0

	keep fees weight_hh
	
save "$input/kihbs_priv_fees.dta", replace

exit



