drop _all
clear
capture clear matrix
set mem 500m
set more off

*** Change these global macros 
	global inputoff = "D:\Oxford\KE Education\KE-WEB\Private Schools Paper\INPUT-OFFLINE"		// 	Folder where non-anonymous, non-public, raw data is stored	
	global input 	= "D:\Oxford\KE Education\KE-WEB\Private Schools Paper\INPUT"				// 	Folder where anonymized, (almost) raw data is stored for dissemination
	global output 	= "D:\Oxford\KE Education\KE-WEB\Private Schools Paper\OUTPUT"				//	Folder where all modified data files are saved

****************************************************
*** Append raw data files using KNEC SCHOOL CODE ***
****************************************************
	
use "$inputoff/KCPE2005DEC10.dta", clear
	capture drop id*
	gen 	iddistrict=substr(kneccode_str,1,3) if year==2005
	replace iddistrict=substr(kneccode_str,1,3) if year< 2005 & kneccode<900000
	replace iddistrict=substr(kneccode_str,2,3) if year< 2005 & kneccode>=900000
	gen 	idprovince=substr(iddistrict,1,1)

	foreach num of numlist 1998/2004 {
			append using "$inputoff/KCPE`num'DEC10.dta"
	}

*******************************************************
***	Clean up private school dummy using SCHOOL NAME ***
*******************************************************

	gen 	check_private_1		=strpos(schoolname,"PRIVATE")
	gen 	private_verified	=1 if (private==2 | check_private_1>0)
	replace private_verified	=0 if private_verified==.
	gen 	not_private			=strpos(schoolname,"REFUGEE")
	replace private_verified	=0 if not_private>0
	gen 	kneccode_verified	=kneccode
	replace private = private - 1												
	label 	define private 0 "Government" 1 "Private"
	label 	values private private
	drop	check_priv* private_ver* kneccode_ver* not_*

****************************************************
*** Create random school ID to replace KNEC code ***
****************************************************

	tempvar temp myid mmyid
	gen 	`temp' = uniform()
	sort	`temp'
	gen 	`myid' = _n
	bysort 	kneccode: egen `mmyid' = min(`myid')
	replace kneccode = `mmyid'
	
	drop kneccode_str schoolname
	capture drop _*
	order idprov iddist kneccode year
	sort kneccode year
	tsset kneccode year
	
save "$input/kcpe_panel_anonymous.dta", replace
	
	
exit
