
*** Append KIHBS household survey data on fees paid in private sector to EMIS admin data on pupil-teacher-ratios in public sector
*** No overlapping variables: just appending so I can overlay two CDFs of per pupil funding from very different data sources
	use "$output/kihbs_priv_fees.dta", clear
	append using "$output/ptr2005.dta"

***	Using the child-level (rather than hh level) expenditure data; converting to USD
	destring _all, replace
	gen feesUSD = fees/73.4										//	Oanda.com exchange rate KES/USD as of June 30, 2006: 73.4
	gen lfeesUSD = ln(feesUSD)

*** Cumulative function
	cumul fees 		[aw=weight_hh], g(cumfees)					//	Pupil-level data: Weighted to reflect survey design (not hh size)
	cumul funding	[aw=totenrol], 	g(cumfunding)				//	School-level data: Weighted to reflect school size & recover per pupil stat (population of schools) 

*** Small bug here to work around: for repeated values of 1st var below, cumul creates a range of values for 2nd var, but sort fails to put them in the right order, creating spurious non-monotonicities in the CDF
	foreach var in fees funding{
		duplicates tag `var', g(dup)
		drop if dup>0 & `var'!=.
		drop dup
	}
	gen 	mysample = 1
	replace mysample = 0 if feesUSD<10
	replace mysample = 0 if feesUSD>1000 & feesUSD!=.
	replace mysample = 0 if fundingUSD<10
	replace mysample = 0 if fundingUSD>1000 & fundingUSD!=.

	capture drop lfees*
	gen lfundingUSD = log10(fundingUSD)
	gen lfeesUSD	= log10(feesUSD)
	
*** Figure 1 of paper (first panel)
	twoway 	(line cumfees lfeesUSD 			if mysample==1, sort lwidth(medium))											///
			(line cumfunding lfundingUSD 	if mysample==1, sort lpattern(dash) lwidth(medium)),							///	
			ytitle("Cumulative Probability", size(large))																	///
			xtitle("Per pupil funding in USD per annum - log scale", size(large))											///
			xlabel(1 "$10" 1.477 "$30" 2 "$100" 2.477 "$300" 3 "$1,000")													///
			legend(order(1 "Private Schools" 2 "Public Schools") size(large) region(lcolor(white)))							///
			graphregion(color(white)) ylabel(, axis(1) grid)
exit

